%define version 0.8.11
%define pre 0
%if %pre
%define fname %name-%version%pre
%else
%define fname %name-%version
%endif
%define release %mkrel 3

%define req_mono_version 0.91
%define gtk_sharp_version 1.9.2

%define	gstname gstreamer0.10
%define gstver 0.10.0

%define monoprefix %_prefix/lib
Summary:	Music player for GNOME
Name:		muine
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Sound
URL:		http://muine-player.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Source:		http://ftp.gnome.org/pub/GNOME/sources/%name/%fname.tar.bz2
#gw hardcode plugins dir so plugin packages can be noarch
Patch: 		muine-0.8.3-plugindir.patch
BuildRequires:	gdbm-devel
BuildRequires:	gnome-sharp2-devel >= %gtk_sharp_version
BuildRequires:	mono-tools
BuildRequires:	gtk+2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	mono-devel >= %{req_mono_version}
BuildRequires:  ndesk-dbus-glib
BuildRequires:	taglib-sharp
# gw for the automatic mono deps
BuildRequires:	libmusicbrainz-devel libnotify-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
#BuildRequires:	gnome-common 
Requires:	mono >= %{req_mono_version}
Requires: shared-mime-info >= 0.16
BuildRequires:	libgstreamer-plugins-base-devel >= %gstver
Requires:	%gstname-plugins-good
Requires:	%gstname-plugins-base
Requires:	%gstname-plugins-bad >= %gstver
Requires:	%gstname-flac >= %gstver
Suggests: %gstname-faad >= %gstver
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Muine is a music player for GNOME. Its UI has been designed from the
ground up to be very comfortable, and not just a clone of iTunes.
It is playlist-based, but does have a music library (not a traditional
one, though).

%package trayicon
Summary: TrayIcon plugin for muine
Group: Sound
Requires: %{_lib}notify1
Requires: %name = %version

%description trayicon
This is a tray icon for the muine music player.

%package doc
Summary: Development documentation for %name
Group: Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9

%description doc
This package contains the API documentation for the %name in
Monodoc format.

%prep
%setup -q -n %fname
%patch -p1

%build
%define _disable_ld_no_undefined 1
# lower optimization, seems to be more stable
CFLAGS=`echo %{optflags} | sed 's/-O[0-9]/-O/'`
%configure2_5x


make LIBS=-lX11

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -rf %buildroot%_libdir/muine/plugins

#gw installed to the wrong dir
mkdir -p %buildroot%monoprefix/monodoc/sources/
mv %buildroot%_datadir/doc/muine/muine-docs* %buildroot%monoprefix/monodoc/sources/

%find_lang %name
# menu entry

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="Audio;Player" \
  --add-category="X-Mandriva-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


# icons
mkdir -p %{buildroot}%{_liconsdir} %{buildroot}%{_miconsdir}
convert -scale 48x48   ./data/images/muine-scalable.svg %{buildroot}%{_liconsdir}/muine.png
install -m 644 ./data/images/muine-32.png %{buildroot}%{_iconsdir}/muine.png
install -m 644 ./data/images/muine-16.png %{buildroot}%{_miconsdir}/muine.png

# remove unwanted files
rm -f %{buildroot}%{_libdir}/%{name}/lib*.{a,la}
rm -f %{buildroot}%{_libdir}/%{name}/NDesk.DBus*

#add the plugins
mkdir -p %buildroot%monoprefix/%name/plugins
install -m 644 plugins/*.dll plugins/*.dll.config %buildroot%monoprefix/%name/plugins/

%if %mdkversion < 200900
%post
%update_menus
%update_desktop_database
%post_install_gconf_schemas muine
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas muine

%if %mdkversion < 200900
%postun
%clean_menus
%clean_desktop_database
%clean_icon_cache hicolor
%endif

%post doc
%_bindir/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %_bindir/monodoc ]; then %_bindir/monodoc --make-index > /dev/null
fi



%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%dir %monoprefix/%{name}
%dir %monoprefix/%{name}/plugins
%monoprefix/%{name}/plugins/InotifyPlugin.dll
%monoprefix/%{name}/plugins/InotifyPlugin.dll.config
%dir %_libdir/%name
%_libdir/%name/*muine*
%_libdir/%name/libinotifyglue.so*
%_datadir/dbus-1/services/org.gnome.Muine.service
%_libdir/pkgconfig/*.pc
%{_datadir}/applications/*.desktop
%_datadir/icons/hicolor/*/*/muine*
%{_iconsdir}/muine.png
%{_miconsdir}/muine.png
%{_liconsdir}/muine.png

%files trayicon
%defattr(-,root,root)
%monoprefix/%{name}/plugins/TrayIcon.dll
%monoprefix/%{name}/plugins/TrayIcon.dll.config

%files doc
%defattr(-,root,root)
%monoprefix/monodoc/sources/*




%changelog
* Thu Oct 15 2009 Götz Waschk <waschk@mandriva.org> 0.8.11-3mdv2010.0
+ Revision: 457631
- rebuild for new taglib-sharp

* Tue Oct 06 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.8.11-2mdv2010.0
+ Revision: 454730
- do not package huge ChangeLog

* Sun Sep 13 2009 Götz Waschk <waschk@mandriva.org> 0.8.11-1mdv2010.0
+ Revision: 438813
- new version
- update deps
- removed now obsolete conditionals from the spec file

* Wed Feb 11 2009 Götz Waschk <waschk@mandriva.org> 0.8.10-2mdv2009.1
+ Revision: 339354
- rebuild for new libfaad

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Oct 28 2008 Götz Waschk <waschk@mandriva.org> 0.8.10-1mdv2009.1
+ Revision: 298045
- fix build
- new version
- drop patch 2

* Tue Aug 19 2008 Götz Waschk <waschk@mandriva.org> 0.8.9-2mdv2009.0
+ Revision: 273866
- rebuild

* Thu Jul 24 2008 Götz Waschk <waschk@mandriva.org> 0.8.9-1mdv2009.0
+ Revision: 245982
- fix buildrequires
- new version
- fix source URL
- update license
- fix build

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Oct 22 2007 Götz Waschk <waschk@mandriva.org> 0.8.8-2mdv2008.1
+ Revision: 101068
- fix buildrequires

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.8.8-1mdv2008.1
+ Revision: 100832
- fix buildrequires
- new version
- drop patches 1,3,4,5
- rediff patch 2

* Mon Aug 06 2007 Götz Waschk <waschk@mandriva.org> 0.8.7-3mdv2008.0
+ Revision: 59516
- fix build with new glib
- build against the external ndesk-dbus


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.8.7-2mdv2007.0
+ Revision: 112797
- fix pkgconfig files

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 0.8.7-1mdv2007.1
+ Revision: 111914
- disable warnings to make it build on x86_64
- fix installation on x86_64
- new version
- update build requires
- update file list
- patch for new flac

* Fri Nov 17 2006 Götz Waschk <waschk@mandriva.org> 0.8.6-7mdv2007.1
+ Revision: 85190
- bot rebuild
- new version
- drop merged patch 1
- unpack patches
- handle icon cache

* Fri Oct 27 2006 Götz Waschk <waschk@mandriva.org> 0.8.5-6mdv2007.0
+ Revision: 72949
- Import muine

* Fri Oct 27 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-6mdv2007.1
- move monodoc docs to subpackage

* Fri Aug 11 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-5mdv2007.0
- trying to fix crash on startup

* Wed Aug 02 2006 Götz Waschk <waschk@mandriva.org> 0.8.5-1mdv2007.0
- rebuild for new dbus

* Wed Jul 19 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-3mdv2007.0
- fix build on x86_64

* Wed Jun 21 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-2mdv2007.0
- new macros
- xdg menu
- new version

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 0.8.5-0.pre2.1mdv2007.1
-rebuild for new dbus-sharp

* Wed May 31 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-0.pre2.1mdv2007.0
- drop patch 3
- new version

* Sun May 21 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-0.pre1.4mdk
- split out tray icon plugin

* Sat May 20 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-0.pre1.3mdk
- install missing plugin dll.config files
- drop patch 1 (not needed)

* Mon May 15 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-0.pre1.2mdk
- patch 3: fix tag reading with large ID3v2 tags

* Sat May 06 2006 Gtz Waschk <waschk@mandriva.org> 0.8.5-0.pre1.1mdk
- update file list
- add libnotify support
- new prerelease

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4.99-0.20060325.3mdk
- really rebuild for new dbus-sharp

* Sat Apr 22 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4.99-0.20060325.2mdk
- rebuild for new dbus-sharp

* Sat Mar 25 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4.99-0.20060325.1mdk
- fix inotify plugin initialization
- new snapshot

* Wed Mar 08 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4.99-0.20060226.1mdk
- fix preun script
- new snapshot
- gstreamer 0.10

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4-3mdk
- fix plugin dir on x86_64

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4-2mdk
- drop patch
- new URL
- new version

* Wed Jan 25 2006 Götz Waschk <waschk@mandriva.org> 0.8.4-0.pre1.4mdk
- rebuild for new dbus-sharp

* Tue Jan 24 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4-0.pre1.3mdk
- more buildrequires

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4-0.pre1.2mdk
- update buildrequires

* Mon Jan 23 2006 Gtz Waschk <waschk@mandriva.org> 0.8.4-0.pre1.1mdk
- trying to fix the song change event for muinescrobbler
- update file list
- drop patch 1
- drop source 1
- new version

* Thu Oct 27 2005 Götz Waschk <waschk@mandriva.org> 0.8.3-10mdk
- rebuild for new dbus

* Mon Oct 10 2005 Götz Waschk <waschk@mandriva.org> 0.8.3-9mdk
- Rebuild

* Fri Aug 26 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-8mdk
- drop prereq
- patch for new gtk-sharp2

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-7mdk
- fix buildrequires

* Thu Jun 02 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-6mdk
- fix bad muine startup script

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-5mdk
- hardcode plugin dir to /usr/lib/muine/plugins

* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-4mdk
- disable broken aot compilation
- move dlls to /usr/lib on x86_64

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-3mdk
- add dll map for the trayicon plugin (bug #14760)

* Sat May 07 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-2mdk
- fix build on x86_64

* Sat May 07 2005 Gtz Waschk <waschk@mandriva.org> 0.8.3-1mdk
- fix deps
- switch to gstreamer backend by default
- new version

* Sun Apr 24 2005 Gtz Waschk <waschk@mandriva.org> 0.8.2-8mdk
- aot compile the exe

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 0.8.2-7mdk
- rebuild for new dbus-sharp
- drop mime stuff and depend on latest shared-mime-info

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.8.2-6mdk
- use mkrel macro

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-5mdk
- rebuild

* Wed Feb 23 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-4mdk
- rebuild for new dbus-sharp

* Sun Feb 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-3mdk
- fix mime script call

* Sat Feb 19 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-2mdk
- add mime registration for AAC files
- fix deps

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.2-1mdk
- new version

* Thu Feb 17 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-3mdk
- rebuild for new dbus-sharp

* Sat Feb 05 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.1-2mdk
- conditional MPEG4 metadata support

* Fri Feb 04 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.1-1mdk
- New release 0.8.1

* Fri Jan 21 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-3mdk
- rebuild for new dbus-sharp

* Fri Jan 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-2mdk
- fix buildrequires

* Mon Jan 10 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.0-1mdk
- add new files
- disable parallel make
- New release 0.8.0

* Tue Dec 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- New release 0.7.1

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-2mdk
- rebuild

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- we need gnome-sharp2 now
a- New release 0.7.0

* Wed Dec 08 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-4mdk
- rebuild for libgdbm3

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-3mdk
- rebuild for new flac

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-2mdk
- rebuild for new rpm

* Sun Jun 20 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- New release 0.6.3

* Mon Jun 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.2-1mdk
- drop patches
- new version

* Sun Jun 06 2004 Marcel Pol <mpol@mandrake.org> 0.6.1-3mdk
- update (build)requires

* Fri Jun 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.1-2mdk
- patch away small syntax error
- remove workaround for bug 9713
- reenable libtoolize
- patch to build with new gtksharp

* Wed May 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.6.1-1mdk
- New release 0.6.1

* Mon May 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6.0-1mdk
- workaround bug #9713
- requires new mono and gtk-sharp
- add source URL
- new version

* Sat Apr 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.3-1mdk
- new version

* Tue Apr 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.2-1mdk
- new version

* Mon Apr 05 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-2mdk
- this uses xine instead of gstreamer as backend
- fix URL

* Sun Apr 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- requires new gtk-sharp
- new version

* Mon Mar 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-3mdk
- fix buildrequires

* Mon Mar 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-2mdk
- require gstreamer-GConf and gstreamer-audiosink

* Mon Mar 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.0-1mdk
- add new files
- requires new versions of mono and gtk-sharp
- new version

* Thu Feb 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4.0-1mdk
- fix buildrequires
- new version

* Wed Feb 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.2-1mdk
- drop merged patch 0
- new version

* Mon Feb 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1.1-1mdk
- drop patch 1
- new version

* Mon Feb 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-2mdk
- fix mono version check

* Sun Feb 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- requires gstreamer-flac
- new version

* Sun Feb 01 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-2mdk
- patch default gconf schema to fix bug 7237

* Wed Jan 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- fix menu section again
- fix file list
- new version

* Sat Jan 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- new menu
- fix deps

